%global momorel 4

Summary: System wide profiler
Name: oprofile
Version: 0.9.2
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/System
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz 9af4e1e1aab89131516736bb60e9efba
Requires: binutils >= 2.17.50.0.8-2
Requires: which
Patch10: oprofile-0.4-guess2.patch
Patch63: oprofile-0.7-libs.patch
Patch83: oprofile-0.9.1-xen.patch
Patch87: oprofile-power6.patch
#Patch88: oprofile-core.patch
Patch89: oprofile-ppc64-callgraph.patch
Patch90: oprofile-race.patch

URL: http://oprofile.sf.net/
ExclusiveArch: %{ix86} ia64 x86_64 ppc ppc64 s390 s390x alpha alphaev6 sparc sparc64
BuildPreReq: qt-devel
BuildPreReq: libxslt
BuildPreReq: docbook-style-xsl
BuildPreReq: docbook-utils
##BuildPreReq: elinks
BuildPreReq: gtk+-devel
BuildPreReq: automake
BuildPreReq: binutils-devel >= 2.17.50.0.3-3m

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
OProfile is a profiling system for systems running Linux. The
profiling runs transparently during the background, and profile data
can be collected at any time. OProfile makes use of the hardware performance
counters provided on Intel P6, and AMD Athlon family processors, and can use
the RTC for profiling on other x86 processor types.

See the HTML documentation for further details.

%package devel
Summary: Header files and libraries for developing apps which will use oprofile.
Group: Development/Libraries
Requires: oprofile = %{version}-%{release}

%description devel

Header files and libraries for developing apps which will use oprofile.

%package gui
Summary: GUI for oprofile.
Group: Development/System
Requires: oprofile = %{version}-%{release}

%description gui

The oprof_start GUI for oprofile.

%prep
%setup -q -n %{name}-%{version}
%patch10 -p1 -b .guess2
#%patch35 -p1 -b .separate
%patch63 -p1 -b .libs
%patch83 -p1 -b .xen
%patch87 -p1 -b .power6
#%patch88 -p0 -b .core
%patch89 -p0 -b .ppc64doc
%patch90 -p0 -b .race

./autogen.sh

%build
QTDIR=%{_libdir}/qt3;     export QTDIR

#The CXXFLAGS below is temporary to work around
# bugzilla #113909
CXXFLAGS=-g;     export CXXFLAGS

%configure \
	   --with-kernel-support \
	   --enable-abi
%make

%install
rm -rf --preserve-root %{buildroot}

make install DESTDIR=${RPM_BUILD_ROOT}

#the following is an ugly hack
rm -rf %{buildroot}/usr/share/doc/oprofile
rm -rf %{buildroot}/usr/share/mangled-name

#hack to make header files available
mkdir -p %{buildroot}%{_includedir}
install -m 755 libop/op_events.h %{buildroot}/%{_includedir}
install -m 755 libop/op_cpu_type.h %{buildroot}/%{_includedir}
#install -m 755 libop/op_events_desc.h %{buildroot}/%{_includedir}
install -m 755 libop/op_config.h %{buildroot}/%{_includedir}
install -m 755 libop/op_sample_file.h %{buildroot}/%{_includedir}
install -m 755 libutil/op_types.h %{buildroot}/%{_includedir}
install -m 755 libutil/op_list.h %{buildroot}/%{_includedir}
install -m 755 libdb/odb.h %{buildroot}/%{_includedir}

#hack to make .a files available
mkdir -p %{buildroot}%{_libdir}
install -m 755 libop/libop.a %{buildroot}/%{_libdir}
install -m 755 libdb/libodb.a %{buildroot}/%{_libdir}
install -m 755 libutil/liboputil.a %{buildroot}/%{_libdir}
install -m 755 libutil++/liboputil++.a %{buildroot}/%{_libdir}
#install -m 755 pp/liboppp.a %{buildroot}/%{_libdir}
install -m 755 libabi/libopabi.a %{buildroot}/%{_libdir}

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%doc doc/oprofile.html

%{_bindir}/ophelp
%{_bindir}/opimport
%{_bindir}/opannotate
%{_bindir}/opcontrol
%{_bindir}/opgprof
%{_bindir}/opreport
%{_bindir}/oprofiled
%{_bindir}/oparchive

%{_mandir}/man1/ophelp.1*
%{_mandir}/man1/opannotate.1*
%{_mandir}/man1/opcontrol.1*
%{_mandir}/man1/opgprof.1*
%{_mandir}/man1/opreport.1*
%{_mandir}/man1/oprofile.1*
%{_mandir}/man1/oparchive.1*
%{_mandir}/man1/opimport.1*

%{_datadir}/oprofile/alpha/ev4/events
%{_datadir}/oprofile/alpha/ev4/unit_masks
%{_datadir}/oprofile/alpha/ev5/events
%{_datadir}/oprofile/alpha/ev5/unit_masks
%{_datadir}/oprofile/alpha/ev6/events
%{_datadir}/oprofile/alpha/ev6/unit_masks
%{_datadir}/oprofile/alpha/ev67/events
%{_datadir}/oprofile/alpha/ev67/unit_masks
%{_datadir}/oprofile/alpha/pca56/events
%{_datadir}/oprofile/alpha/pca56/unit_masks
%{_datadir}/oprofile/arm/xscale1/events
%{_datadir}/oprofile/arm/xscale1/unit_masks
%{_datadir}/oprofile/arm/xscale2/events
%{_datadir}/oprofile/arm/xscale2/unit_masks
%{_datadir}/oprofile/i386/athlon/events
%{_datadir}/oprofile/i386/athlon/unit_masks
%{_datadir}/oprofile/i386/core/events
%{_datadir}/oprofile/i386/core/unit_masks
%{_datadir}/oprofile/i386/core_2/events
%{_datadir}/oprofile/i386/core_2/unit_masks
%{_datadir}/oprofile/i386/p4-ht/events
%{_datadir}/oprofile/i386/p4-ht/unit_masks
%{_datadir}/oprofile/i386/p4/events
%{_datadir}/oprofile/i386/p4/unit_masks
%{_datadir}/oprofile/i386/p6_mobile/events
%{_datadir}/oprofile/i386/p6_mobile/unit_masks
%{_datadir}/oprofile/i386/pii/events
%{_datadir}/oprofile/i386/pii/unit_masks
%{_datadir}/oprofile/i386/piii/events
%{_datadir}/oprofile/i386/piii/unit_masks
%{_datadir}/oprofile/i386/ppro/events
%{_datadir}/oprofile/i386/ppro/unit_masks
%{_datadir}/oprofile/ia64/ia64/events
%{_datadir}/oprofile/ia64/ia64/unit_masks
%{_datadir}/oprofile/ia64/itanium/events
%{_datadir}/oprofile/ia64/itanium/unit_masks
%{_datadir}/oprofile/ia64/itanium2/events
%{_datadir}/oprofile/ia64/itanium2/unit_masks
%{_datadir}/oprofile/rtc/events
%{_datadir}/oprofile/rtc/unit_masks
%{_datadir}/oprofile/stl.pat
%{_datadir}/oprofile/x86-64/hammer/events
%{_datadir}/oprofile/x86-64/hammer/unit_masks
%{_datadir}/oprofile/ppc64/power4/event_mappings
%{_datadir}/oprofile/ppc64/power4/events
%{_datadir}/oprofile/ppc64/power4/unit_masks
%{_datadir}/oprofile/ppc64/power5/event_mappings
%{_datadir}/oprofile/ppc64/power5/events
%{_datadir}/oprofile/ppc64/power5/unit_masks
%{_datadir}/oprofile/ppc64/power5+/event_mappings
%{_datadir}/oprofile/ppc64/power5+/events
%{_datadir}/oprofile/ppc64/power5+/unit_masks
%{_datadir}/oprofile/ppc64/power6/event_mappings
%{_datadir}/oprofile/ppc64/power6/events
%{_datadir}/oprofile/ppc64/power6/unit_masks
%{_datadir}/oprofile/ppc64/970/event_mappings
%{_datadir}/oprofile/ppc64/970/events
%{_datadir}/oprofile/ppc64/970/unit_masks
%{_datadir}/oprofile/mips/20K/events
%{_datadir}/oprofile/mips/20K/unit_masks
%{_datadir}/oprofile/mips/24K/events
%{_datadir}/oprofile/mips/24K/unit_masks
%{_datadir}/oprofile/mips/25K/events
%{_datadir}/oprofile/mips/25K/unit_masks
%{_datadir}/oprofile/mips/34K/events
%{_datadir}/oprofile/mips/34K/unit_masks
%{_datadir}/oprofile/mips/5K/events
%{_datadir}/oprofile/mips/5K/unit_masks
%{_datadir}/oprofile/mips/r10000/events
%{_datadir}/oprofile/mips/r10000/unit_masks
%{_datadir}/oprofile/mips/r12000/events
%{_datadir}/oprofile/mips/r12000/unit_masks
%{_datadir}/oprofile/mips/rm7000/events
%{_datadir}/oprofile/mips/rm7000/unit_masks
%{_datadir}/oprofile/mips/rm9000/events
%{_datadir}/oprofile/mips/rm9000/unit_masks
%{_datadir}/oprofile/mips/sb1/events
%{_datadir}/oprofile/mips/sb1/unit_masks
%{_datadir}/oprofile/mips/vr5432/events
%{_datadir}/oprofile/mips/vr5432/unit_masks
%{_datadir}/oprofile/mips/vr5500/events
%{_datadir}/oprofile/mips/vr5500/unit_masks
%{_datadir}/oprofile/ppc/7450/events
%{_datadir}/oprofile/ppc/7450/unit_masks
%{_datadir}/oprofile/ppc/e500/events
%{_datadir}/oprofile/ppc/e500/unit_masks
%{_datadir}/oprofile/ppc/e500v2/events
%{_datadir}/oprofile/ppc/e500v2/unit_masks

%files devel
%defattr(-,root,root)

%{_includedir}/odb.h
%{_includedir}/op_config.h
%{_includedir}/op_cpu_type.h
%{_includedir}/op_events.h
%{_includedir}/op_list.h
%{_includedir}/op_sample_file.h
%{_includedir}/op_types.h

%{_libdir}/libodb.a
%{_libdir}/libop.a
%{_libdir}/libopabi.a
%{_libdir}/liboputil++.a
%{_libdir}/liboputil.a

%files gui
%defattr(-,root,root)

%{_bindir}/oprof_start

%changelog
* Thu Mar 22 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.9.2-4m)
- sync with fc-devel (oprofile-0_9_2-7_fc7)
--* Wed Mar 21 2007 Will Cohen <wcohen@redhat.com> - 0.9.2-7
--- Correct description for package.
--- Correct backtrace documentation. Resolves: rhbz#214793.
--- Correct race condition. Resolves: rhbz#220116.

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.2-3m)
- rebuild against binutils-2.17.50.0.8

* Sat Oct  7 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.2-2m)
- rebuild against binutils-2.17.50.0.3-3m

* Sat Sep 23 2006 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- import from fc-devel (0.9.2-2)
